﻿using System;
using System.Data;

namespace Shared.Models
{
    public class Company
    {
        #region Properties

        /// <summary>
        /// The code for this company
        /// </summary>
        public string Code { get; private set; }

        /// <summary>
        /// The title for this company
        /// </summary>
        public string Title { get; private set; }

        #endregion

        #region Methods

        /// <summary>
        /// Creates a new company from a datarow
        /// </summary>
        /// <param name="row">A datarow containing the necessary fields</param>
        /// <returns>A company populated with the values from the datarow</returns>
        public static Company FromDataRow(DataRow row)
        {
            if (row == null)
                throw new ArgumentNullException("row");

            return new Company()
            {
                Code = Utilities.GetRecordValue<string>(row, "CODE"),
                Title = Utilities.GetRecordValue<string>(row, "DESCRIPTION")
            };
        }

        #endregion
    }
}
